using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			Siberix.Sparkle.PDF.Document document = new Siberix.Sparkle.PDF.Document();

			document.Info.Title = "Example";
			document.Info.Author = "Siberix Technologies, Canada";
			document.Info.Creator = "Siberix PDF Sparkle for .NET";

			Siberix.Sparkle.PDF.IPage page = document.AddPage(612, 792);

			page.Graphics.Font = new Siberix.Sparkle.Graphics.Fonts.Arial(12);
			page.Graphics.Brush = Siberix.Sparkle.Graphics.Brushes.Blue;
			page.Graphics.Pen = Siberix.Sparkle.Graphics.Pens.Blue;

			float w = page.Graphics.StringWidth("Next link");
			float h = page.Graphics.FontMetrics.Ascent + 2.0F;

			page.Graphics.StartHyperlink(0, 0, 35);
			page.Graphics.DrawString(30, 20, "Next link");
			page.Graphics.DrawLine(30, 20 + h, w + 30, 20 + h);
			page.Graphics.EndHyperlink();

			w = page.Graphics.StringWidth("Previous link");

			page.Graphics.StartHyperlink(0, 0, 20);
			page.Graphics.DrawString(30, 35, "Previous link");
			page.Graphics.DrawLine(30, 35 + h, w + 30, 35 + h);
			page.Graphics.EndHyperlink();

			w = page.Graphics.StringWidth("Link to www.siberix.com");

			page.Graphics.StartHyperlink("http://www.siberix.com");
			page.Graphics.DrawString(30, 50, "Link to www.siberix.com");
			page.Graphics.DrawLine(30, 50 + h, w + 30, 50 + h);
			page.Graphics.EndHyperlink();

			document.Generate("Hyperlinks.pdf");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Hyperlinks.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}