using System;
using System.IO;

namespace Siberix.Examples
{
	class Example
	{
		static void Main(string[] args)
		{
			Siberix.Sparkle.PDF.Document document = new Siberix.Sparkle.PDF.Document();

			document.Info.Title = "Example";
			document.Info.Author = "Siberix Technologies, Canada";
			document.Info.Creator = "Siberix PDF Sparkle for .NET";

			Siberix.Sparkle.PDF.IPage page = document.AddPage(612, 792);

			// Rectangle
			page.Graphics.Pen = new Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.Red, 5);
			page.Graphics.Brush = new Siberix.Sparkle.Graphics.SolidColorBrush(new Siberix.Sparkle.Graphics.Color(255, 240, 240));
			page.Graphics.DrawRectangle(50, 50, 150, 100, Siberix.Sparkle.Graphics.PaintMode.FillStroke);

			// Line
			page.Graphics.Pen = new Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.Green, 5);
			page.Graphics.DrawLine(220, 50, 320, 150);

			// Ellipse
			page.Graphics.Pen = new Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.Blue, 5);
			page.Graphics.Brush = new Siberix.Sparkle.Graphics.SolidColorBrush(new Siberix.Sparkle.Graphics.Color(240, 240, 255));
			page.Graphics.DrawEllipse(340, 50, 150, 100, Siberix.Sparkle.Graphics.PaintMode.FillStroke);

			// Path
			page.Graphics.Pen = new Siberix.Sparkle.Graphics.Pen(Siberix.Sparkle.Graphics.Colors.DarkBlue, 5, Siberix.Sparkle.Graphics.DashStyle.DashDot);
			page.Graphics.Brush = new Siberix.Sparkle.Graphics.LinearGradientBrush(Siberix.Sparkle.Graphics.Colors.Yellow, Siberix.Sparkle.Graphics.Colors.Green, 45F);

			page.Graphics.StartShape(Siberix.Sparkle.Graphics.PaintMode.FillStroke);
			page.Graphics.FillRectangle(120, 200, 200, 200);
			page.Graphics.DrawEllipse(220, 250, 200, 200);
			page.Graphics.EndShape();

			document.Generate("Shapes.pdf");

			// View
			System.Diagnostics.Process process = new System.Diagnostics.Process();
			System.Diagnostics.ProcessStartInfo info = new System.Diagnostics.ProcessStartInfo("Shapes.pdf");
			process.StartInfo = info;
			process.Start();
		}
	}
}